import { NetworkCommand } from '../../base/network';
export default class CallCommand extends NetworkCommand {
    static description: string;
    static flags: {
        network: import("@oclif/command/lib/flags").IOptionFlag<string>;
        mainnet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        ropsten: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        rinkeby: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        goerli: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        kovan: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static examples: string[];
    run(): Promise<void>;
}
