import { NetworkCommand } from '../base/network';
export default class ReplCommand extends NetworkCommand {
    static description: string;
    static strict: boolean;
    static flags: {
        pk: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        network: import("@oclif/command/lib/flags").IOptionFlag<string>;
        mainnet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        ropsten: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        rinkeby: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        goerli: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        kovan: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    static examples: string[];
    run(): Promise<void>;
}
