import { flags } from '@oclif/command';
import { NetworkCommand } from '../../base/network';
export default class SendCommand extends NetworkCommand {
    static description: string;
    static flags: {
        pk: {
            required: boolean;
            name: string;
            char?: "a" | "b" | "c" | "d" | "e" | "f" | "g" | "h" | "i" | "j" | "k" | "l" | "m" | "n" | "o" | "p" | "q" | "r" | "s" | "t" | "u" | "v" | "w" | "x" | "y" | "z" | "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "W" | "X" | "Y" | "Z" | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            hidden?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            env?: string | undefined;
            parse(input: string, context: any): string | undefined;
            type: "option";
            helpValue?: string | undefined;
            default?: import("@oclif/parser/lib/flags").Default<string | undefined>;
            multiple: boolean;
            input: string[];
            options?: string[] | undefined;
            completion?: flags.ICompletion | undefined;
        };
        'confirmation-blocks': import("@oclif/parser/lib/flags").IOptionFlag<number>;
        to: flags.IOptionFlag<string>;
        gas: flags.IOptionFlag<string | undefined>;
        gasPrice: flags.IOptionFlag<string | undefined>;
        value: flags.IOptionFlag<string | undefined>;
        data: flags.IOptionFlag<string | undefined>;
        network: flags.IOptionFlag<string>;
        mainnet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        ropsten: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        rinkeby: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        goerli: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        kovan: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static examples: string[];
    static aliases: string[];
    run(): Promise<void>;
}
