"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
exports.privateKeyFlag = command_1.flags.string({
    description: 'Private key to unlock. Can also be specified using the ETH_CLI_PRIVATE_KEY environment variable.',
    env: 'ETH_CLI_PRIVATE_KEY',
});
exports.confirmationBlocksFlag = command_1.flags.integer({
    default: 0,
    description: 'Number of confirmation blocks to wait for before the command returns.',
});
