"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasFlags = (flags) => {
    return Object.keys(flags).length;
};
exports.hasArgs = (args) => {
    return Object.values(args).filter(v => v !== null).length;
};
// Checks for args or flags supplied to command
exports.isEmptyCommand = (flags, args) => {
    if (!exports.hasFlags(flags) && !exports.hasArgs(args)) {
        return true;
    }
    return false;
};
