"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const web3_1 = tslib_1.__importDefault(require("web3"));
const config_1 = require("./config");
exports.getBalance = async function (addressOrName, url) {
    // Connect web3
    const web3 = new web3_1.default(new web3_1.default.providers.HttpProvider(url));
    const networkId = await web3.eth.net.getId();
    const address = config_1.getAddress(addressOrName, String(networkId));
    return web3.eth.getBalance(address);
};
